\exo{}

\q Montrer que pour tout $x \in \R^*, \tanh(x) = \frac{2}{\tanh(2x)} - \frac{1}{\tanh(x)}$.
\q En déduire la valeur de $\displaystyle S_{x,n} = \sum_{k=0}^n{2^k\tanh{2^kx}}$ pour $n \in \N$ et $x \in \R$.



\ifwithcorrection \correction 
\q On a 

\begin{align*} 
  \tanh x + \frac{1}{\tanh x } &= \frac{e^x - e^{-x}}{e^x + e^{-x}} + \frac{e^x + e^{-x}}{e^x - e^{-x}} \\
                               &= \frac{(e^x -e^{-x})^2 + (e^x +e^{-x})^2}{(e^x+e^{-x})(e^x - e^{-x})} \\
                               &= \frac{2e^{2x}+2e^{-2x}}{e^{2x} - e^{-2x}} = \frac{2}{\tanh 2x}
\end{align*}

\q Si $x= 0$, on a $S_{0,n} = 0$, sinon on utilise la formule précédente afin d'obtenir par téléscopage : 
\concl{$\forall x \in \R^*, \forall n\in\N, S_{x,n} = \frac{2^{n+1}}{\tanh(2^{n+1}x)} - \frac{1}{\tanh x}$}
\fi
